Back to index

salome-smesh  6.5.0
Namespaces | Variables
SMESH_hexaedre.py File Reference

Go to the source code of this file.

Namespaces

namespace  SMESH_hexaedre

Variables

tuple SMESH_hexaedre.geom = salome.lcc.FindOrLoadComponent("FactoryServer", "GEOM")
tuple SMESH_hexaedre.myBuilder = salome.myStudy.NewBuilder()
tuple SMESH_hexaedre.gg = salome.ImportComponentGUI("GEOM")
int SMESH_hexaedre.ShapeTypeCompSolid = 1
int SMESH_hexaedre.ShapeTypeSolid = 2
int SMESH_hexaedre.ShapeTypeShell = 3
int SMESH_hexaedre.ShapeTypeFace = 4
int SMESH_hexaedre.ShapeTypeWire = 5
int SMESH_hexaedre.ShapeTypeEdge = 6
int SMESH_hexaedre.ShapeTypeVertex = 7
int SMESH_hexaedre.Boolop_common = 1
int SMESH_hexaedre.Boolop_cut = 2
int SMESH_hexaedre.Boolop_fuse = 3
int SMESH_hexaedre.Boolop_section = 4
tuple SMESH_hexaedre.p0 = geompy.MakeVertex(0., 0., 0.)
tuple SMESH_hexaedre.px = geompy.MakeVertex(100., 0., 0.)
tuple SMESH_hexaedre.py = geompy.MakeVertex(0., 100., 0.)
tuple SMESH_hexaedre.pz = geompy.MakeVertex(0., 0., 100.)
tuple SMESH_hexaedre.vx = geompy.MakeVector(p0, px)
tuple SMESH_hexaedre.vy = geompy.MakeVector(p0, py)
tuple SMESH_hexaedre.vz = geompy.MakeVector(p0, pz)
tuple SMESH_hexaedre.sphereExt = geompy.MakeSphere( 0., 0., 0., 400.)
tuple SMESH_hexaedre.sphereInt = geompy.MakeSphere( 0.,-50., 0., 350.)
tuple SMESH_hexaedre.sphereA = geompy.MakeSphere( -400., 50., 50., 400.)
tuple SMESH_hexaedre.sphereB = geompy.MakeSphere( 350.,-50.,-50., 350.)
tuple SMESH_hexaedre.ptcyle = geompy.MakeVertex(0., -300., -450.)
tuple SMESH_hexaedre.cylindre = geompy.MakeCylinder(ptcyle,vz,500.,900.)
tuple SMESH_hexaedre.vol1 = geompy.MakeCut(sphereExt,sphereA)
tuple SMESH_hexaedre.vol2 = geompy.MakeCut(vol1,sphereB)
tuple SMESH_hexaedre.vol3 = geompy.MakeCut(vol2,cylindre)
tuple SMESH_hexaedre.blob = geompy.MakeCut(vol3,sphereInt)
tuple SMESH_hexaedre.idblob = geompy.addToStudy(blob,"blob")
list SMESH_hexaedre.aretes = []
int SMESH_hexaedre.eid = 0
 SMESH_hexaedre.shape_mesh = blob
 for edge in aretes: edname="arete%d"eid idedge=geompy.addToStudy(edge,edname) eid=eid+1
tuple SMESH_hexaedre.mesh = smesh.Mesh(shape_mesh, "MeshBlob")
tuple SMESH_hexaedre.algo1 = mesh.Segment()
tuple SMESH_hexaedre.algo2 = mesh.Quadrangle()
tuple SMESH_hexaedre.algo3 = mesh.Hexahedron()
int SMESH_hexaedre.numberOfSegmentsA = 4
tuple SMESH_hexaedre.algo = mesh.Segment(aretes[0])
int SMESH_hexaedre.numberOfSegmentsC = 15
int SMESH_hexaedre.numberOfSegmentsB = 10
tuple SMESH_hexaedre.ret = mesh.Compute()